function love.load()
    draw_table = {}
    for x = -50 , 50 , 5 do
        for y = 5 , 5 , 1 do
            for z = -50 , 50 , 5 do
                if x >= 0 and z >= 0 then
                    if x == 0 and z == 0 then
                        table.insert(draw_table,1,{x,y,z,0,math.sqrt(x^2+z^2)})
                    else
                        table.insert(draw_table,1,{x,y,z,math.atan(x/z),math.sqrt(x^2+z^2)})
                    end
                end
                if x >= 0 and z < 0 then
                    table.insert(draw_table,1,{x,y,z,math.atan(math.abs(z)/math.abs(x))+1.57079632679,math.sqrt(x^2+z^2)})
                end
                if x < 0 and z < 0 then
                    table.insert(draw_table,1,{x,y,z,math.atan(math.abs(x)/math.abs(z))+1.57079632679*2,math.sqrt(x^2+z^2)})
                end
                if x < 0 and z >= 0 then
                    table.insert(draw_table,1,{x,y,z,math.atan(math.abs(z)/math.abs(x))+1.57079632679*3,math.sqrt(x^2+z^2)})
                end
            end
        end
    end
end
function love.draw()
    love.graphics.setBackgroundColor(0.6,0.6,0.6,1)
    for dti ,  dtd in pairs(draw_table) do
        love.graphics.setColor(0.8,0.8,0.8,1)
        if love.keyboard.isDown("left") then
            dtd[1] = dtd[1] + 0.2
        end
        if love.keyboard.isDown("right") then
            dtd[1] = dtd[1] - 0.2
        end
        if love.keyboard.isDown("up") then
            dtd[3] = dtd[3] - 0.2
        end
        if love.keyboard.isDown("down") then
            dtd[3] = dtd[3] + 0.2
        end
        if love.keyboard.isDown("c") then
            if dtd[1] >= 0 and dtd[3] >= 0 then
                if dtd[1] == 0 and dtd[3] == 0 then
                    dtd[4] = 0
                else
                    dtd[4] = math.atan(dtd[1]/dtd[3])
                end
            end
            if dtd[1] >= 0 and dtd[3] < 0 then
                dtd[4] = math.atan(math.abs(dtd[3])/math.abs(dtd[1]))+1.57079632679
            end
            if dtd[1] < 0 and dtd[3] < 0 then
                dtd[4] = math.atan(math.abs(dtd[1])/math.abs(dtd[3]))+1.57079632679*2
            end
            if dtd[1] < 0 and dtd[3] >= 0 then
                dtd[4] = math.atan(math.abs(dtd[3])/math.abs(dtd[1]))+1.57079632679*3
            end
            dtd[5] = math.sqrt(dtd[1]^2+dtd[3]^2)
            dtd[4] = dtd[4] - 0.1/3.14159265359
            dtd[3] = math.cos(dtd[4])*dtd[5]
            dtd[1] = math.sin(dtd[4])*dtd[5]
        end
        if love.keyboard.isDown("z") then
            if dtd[1] >= 0 and dtd[3] >= 0 then
                if dtd[1] == 0 and dtd[3] == 0 then
                    dtd[4] = 0
                else
                    dtd[4] = math.atan(dtd[1]/dtd[3])
                end
            end
            if dtd[1] >= 0 and dtd[3] < 0 then
                dtd[4] = math.atan(math.abs(dtd[3])/math.abs(dtd[1]))+1.57079632679
            end
            if dtd[1] < 0 and dtd[3] < 0 then
                dtd[4] = math.atan(math.abs(dtd[1])/math.abs(dtd[3]))+1.57079632679*2
            end
            if dtd[1] < 0 and dtd[3] >= 0 then
                dtd[4] = math.atan(math.abs(dtd[3])/math.abs(dtd[1]))+1.57079632679*3
            end
            dtd[5] = math.sqrt(dtd[1]^2+dtd[3]^2)
            dtd[4] = dtd[4] + 0.1/3.14159265359
            dtd[3] = math.cos(dtd[4])*dtd[5]
            dtd[1] = math.sin(dtd[4])*dtd[5]
        end
        if dtd[3] >= 0 then
            love.graphics.circle("fill", dtd[1]*50/(dtd[3]/10 +9/10)+25*11, dtd[2]*50/ (dtd[3]/10 +9/10)+25*11 ,10/ (dtd[3]/10 +9/10))
        end
    end
end